package GSL::CDF;

use 5.010000;
use strict;
use warnings;

require Exporter;
use AutoLoader qw(AUTOLOAD);

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use GSL::CDF ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
 	gsl_cdf_beta_P
 	gsl_cdf_beta_Pinv
 	gsl_cdf_beta_Q
 	gsl_cdf_beta_Qinv
 	gsl_cdf_binomial_P
 	gsl_cdf_binomial_Q
 	gsl_cdf_cauchy_P
 	gsl_cdf_cauchy_Pinv
 	gsl_cdf_cauchy_Q
 	gsl_cdf_cauchy_Qinv
 	gsl_cdf_chisq_P
	gsl_cdf_chisq_Q
 	gsl_cdf_chisq_Pinv
 	gsl_cdf_chisq_Qinv
 	gsl_cdf_exponential_P
 	gsl_cdf_exponential_Pinv
 	gsl_cdf_exponential_Q
 	gsl_cdf_exponential_Qinv
 	gsl_cdf_exppow_P
 	gsl_cdf_exppow_Q
 	gsl_cdf_fdist_P
 	gsl_cdf_fdist_Pinv
 	gsl_cdf_fdist_Q
 	gsl_cdf_fdist_Qinv
 	gsl_cdf_flat_P
 	gsl_cdf_flat_Pinv
 	gsl_cdf_flat_Q
 	gsl_cdf_flat_Qinv
 	gsl_cdf_gamma_P
 	gsl_cdf_gamma_Pinv
 	gsl_cdf_gamma_Q
 	gsl_cdf_gamma_Qinv
 	gsl_cdf_gaussian_P
 	gsl_cdf_gaussian_Pinv
 	gsl_cdf_gaussian_Q
 	gsl_cdf_gaussian_Qinv
 	gsl_cdf_geometric_P
 	gsl_cdf_geometric_Q
 	gsl_cdf_gumbel1_P
 	gsl_cdf_gumbel1_Pinv
 	gsl_cdf_gumbel1_Q
 	gsl_cdf_gumbel1_Qinv
 	gsl_cdf_gumbel2_P
 	gsl_cdf_gumbel2_Pinv
 	gsl_cdf_gumbel2_Q
 	gsl_cdf_gumbel2_Qinv
 	gsl_cdf_hypergeometric_P
 	gsl_cdf_hypergeometric_Q
 	gsl_cdf_laplace_P
 	gsl_cdf_laplace_Pinv
 	gsl_cdf_laplace_Q
 	gsl_cdf_laplace_Qinv
 	gsl_cdf_logistic_P
 	gsl_cdf_logistic_Pinv
 	gsl_cdf_logistic_Q
 	gsl_cdf_logistic_Qinv
 	gsl_cdf_lognormal_P
 	gsl_cdf_lognormal_Pinv
 	gsl_cdf_lognormal_Q
 	gsl_cdf_lognormal_Qinv
 	gsl_cdf_negative_binomial_P
 	gsl_cdf_negative_binomial_Q
 	gsl_cdf_pareto_P
 	gsl_cdf_pareto_Pinv
 	gsl_cdf_pareto_Q
 	gsl_cdf_pareto_Qinv
 	gsl_cdf_pascal_P
 	gsl_cdf_pascal_Q
 	gsl_cdf_poisson_P
 	gsl_cdf_poisson_Q
 	gsl_cdf_rayleigh_P
 	gsl_cdf_rayleigh_Pinv
 	gsl_cdf_rayleigh_Q
 	gsl_cdf_rayleigh_Qinv
 	gsl_cdf_tdist_P
 	gsl_cdf_tdist_Pinv
 	gsl_cdf_tdist_Q
 	gsl_cdf_tdist_Qinv
 	gsl_cdf_ugaussian_P
 	gsl_cdf_ugaussian_Pinv
 	gsl_cdf_ugaussian_Q
 	gsl_cdf_ugaussian_Qinv
 	gsl_cdf_weibull_P
 	gsl_cdf_weibull_Pinv
 	gsl_cdf_weibull_Q
 	gsl_cdf_weibull_Qinv
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);

use GSL;

require XSLoader;
XSLoader::load('GSL::CDF', $GSL::VERSION);

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

GSL::CDF - Perl bindings to the cumulative distribution functions of the GSL library

=head1 SYNOPSIS

  use GSL::CDF;

=head1 DESCRIPTION

This module offers bindings to the GSL functions declared in the C<gsl_cdf.h> header file.

Available functions:

=over 8

=item gsl_cdf_beta_P
=item gsl_cdf_beta_Pinv
=item gsl_cdf_beta_Q
=item gsl_cdf_beta_Qinv
=item gsl_cdf_binomial_P
=item gsl_cdf_binomial_Q
=item gsl_cdf_cauchy_P
=item gsl_cdf_cauchy_Pinv
=item gsl_cdf_cauchy_Q
=item gsl_cdf_cauchy_Qinv
=item gsl_cdf_chisq_P
=item gsl_cdf_chisq_Q
=item gsl_cdf_chisq_Pinv
=item gsl_cdf_chisq_Qinv
=item gsl_cdf_exponential_P
=item gsl_cdf_exponential_Pinv
=item gsl_cdf_exponential_Q
=item gsl_cdf_exponential_Qinv
=item gsl_cdf_exppow_P
=item gsl_cdf_exppow_Q
=item gsl_cdf_fdist_P
=item gsl_cdf_fdist_Pinv
=item gsl_cdf_fdist_Q
=item gsl_cdf_fdist_Qinv
=item gsl_cdf_flat_P
=item gsl_cdf_flat_Pinv
=item gsl_cdf_flat_Q
=item gsl_cdf_flat_Qinv
=item gsl_cdf_gamma_P
=item gsl_cdf_gamma_Pinv
=item gsl_cdf_gamma_Q
=item gsl_cdf_gamma_Qinv
=item gsl_cdf_gaussian_P
=item gsl_cdf_gaussian_Pinv
=item gsl_cdf_gaussian_Q
=item gsl_cdf_gaussian_Qinv
=item gsl_cdf_geometric_P
=item gsl_cdf_geometric_Q
=item gsl_cdf_gumbel1_P
=item gsl_cdf_gumbel1_Pinv
=item gsl_cdf_gumbel1_Q
=item gsl_cdf_gumbel1_Qinv
=item gsl_cdf_gumbel2_P
=item gsl_cdf_gumbel2_Pinv
=item gsl_cdf_gumbel2_Q
=item gsl_cdf_gumbel2_Qinv
=item gsl_cdf_hypergeometric_P
=item gsl_cdf_hypergeometric_Q
=item gsl_cdf_laplace_P
=item gsl_cdf_laplace_Pinv
=item gsl_cdf_laplace_Q
=item gsl_cdf_laplace_Qinv
=item gsl_cdf_logistic_P
=item gsl_cdf_logistic_Pinv
=item gsl_cdf_logistic_Q
=item gsl_cdf_logistic_Qinv
=item gsl_cdf_lognormal_P
=item gsl_cdf_lognormal_Pinv
=item gsl_cdf_lognormal_Q
=item gsl_cdf_lognormal_Qinv
=item gsl_cdf_negative_binomial_P
=item gsl_cdf_negative_binomial_Q
=item gsl_cdf_pareto_P
=item gsl_cdf_pareto_Pinv
=item gsl_cdf_pareto_Q
=item gsl_cdf_pareto_Qinv
=item gsl_cdf_pascal_P
=item gsl_cdf_pascal_Q
=item gsl_cdf_poisson_P
=item gsl_cdf_poisson_Q
=item gsl_cdf_rayleigh_P
=item gsl_cdf_rayleigh_Pinv
=item gsl_cdf_rayleigh_Q
=item gsl_cdf_rayleigh_Qinv
=item gsl_cdf_tdist_P
=item gsl_cdf_tdist_Pinv
=item gsl_cdf_tdist_Q
=item gsl_cdf_tdist_Qinv
=item gsl_cdf_ugaussian_P
=item gsl_cdf_ugaussian_Pinv
=item gsl_cdf_ugaussian_Q
=item gsl_cdf_ugaussian_Qinv
=item gsl_cdf_weibull_P
=item gsl_cdf_weibull_Pinv
=item gsl_cdf_weibull_Q
=item gsl_cdf_weibull_Qinv

=back

=head2 EXPORT

None by default.

=head2 EXPORTABLE FUNCTIONS

All available functions

=head1 SEE ALSO

Please, refer to the GSL documentation to get a detailed description of all these functions:
L<http://www.gnu.org/software/gsl/manual/html_node/Random-Number-Distributions.html>

=head1 AUTHOR

Vincent Danjean, C<< <Vincent.Danjean at ens-lyon.org> >>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2009 by Vincent Danjean, Claire Bardel

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.10.0 or,
at your option, any later version of Perl 5 you may have available.

=cut
